package com.fs.store.service;

import com.fs.store.domain.FsDepartment;
import com.fs.store.vo.OptionsVO;

import java.util.List;

/**
 * 科室Service接口
 *
 * @author fs
 * @date 2023-06-01
 */
public interface IFsDepartmentService
{
    /**
     * 查询科室
     *
     * @param deptId 科室主键
     * @return 科室
     */
    public FsDepartment selectFsDepartmentByDeptId(Long deptId);

    /**
     * 查询科室列表
     *
     * @param fsDepartment 科室
     * @return 科室集合
     */
    public List<FsDepartment> selectFsDepartmentList(FsDepartment fsDepartment);

    /**
     * 新增科室
     *
     * @param fsDepartment 科室
     * @return 结果
     */
    public int insertFsDepartment(FsDepartment fsDepartment);

    /**
     * 修改科室
     *
     * @param fsDepartment 科室
     * @return 结果
     */
    public int updateFsDepartment(FsDepartment fsDepartment);

    /**
     * 批量删除科室
     *
     * @param deptIds 需要删除的科室主键集合
     * @return 结果
     */
    public int deleteFsDepartmentByDeptIds(Long[] deptIds);

    /**
     * 删除科室信息
     *
     * @param deptId 科室主键
     * @return 结果
     */
    public int deleteFsDepartmentByDeptId(Long deptId);


    List<OptionsVO> selectFsDiseaseOptionsVO();
}
